"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.WEBP_CANDIDATE_IMAGE_MIME_TYPE = exports.BITMAP_IMAGE_MIME_REGEX = exports.WEBP_CANDIDATE_IMAGE_URL_REGEX = exports.WEAK_ETAG_REGEX = exports.DB_ERROR = exports.FIND_HTTP_REGEX = exports.IMAGE_MIME_REGEX = exports.CONCURRENCY_LIMIT = exports.IMAGE_URL_REGEX = exports.MIN_IMAGE_THRESHOLD_ARTICLELIST_PAGE = exports.LATEX_GRAPHOID_IMAGE_URL_REGEX = exports.IMAGE_THUMB_URL_REGEX = void 0;
exports.IMAGE_THUMB_URL_REGEX = /^.*\/([^/]+)\/(\d+px[-]+)?(.+?\.[A-Za-z0-9]{2,6}(\.[A-Za-z0-9]{2,6})?)$/;
exports.LATEX_GRAPHOID_IMAGE_URL_REGEX = /^.*\/svg\/([A-Za-z0-9]+)$/;
exports.MIN_IMAGE_THRESHOLD_ARTICLELIST_PAGE = 10;
exports.IMAGE_URL_REGEX = /(https?:\/\/.*\.(?:jpg|gif|png|svg|jpeg)(\?.*)?)/i;
exports.CONCURRENCY_LIMIT = 10;
exports.IMAGE_MIME_REGEX = /^image+[/-\w.]+$/;
exports.FIND_HTTP_REGEX = /^(?:https?:\/\/)?/i;
exports.DB_ERROR = 'internal_api_error_DBQueryError';
exports.WEAK_ETAG_REGEX = /^(W\/)/;
exports.WEBP_CANDIDATE_IMAGE_URL_REGEX = /(\.jpeg|\.png|\.jpg)(\?.*)?$/i;
exports.BITMAP_IMAGE_MIME_REGEX = /^image+[/-\w.]+(jpeg|png|gif)$/;
exports.WEBP_CANDIDATE_IMAGE_MIME_TYPE = /image+[/]+(jpeg|png)/;
//# sourceMappingURL=const.js.map